Log inRegister
You are here: Boossy » WebSites » 0-WebCheck

0-WebCheck

site sw version Eerste PHP-versie (actief) Tweede PHP-versie
boossy.be   PHP 7.1 suphp (php) PHP 7.1 suphp (php71)
boossy.be/events32 events 3.2    
voxmago.be   PHP 7.1 suphp (php) Off (php71)
voxmago.be/events32 events 3.2.1    
kwamarant.be   PHP 7.1 suphp (php) PHP 7.1 suphp (php71)
kwamarant.be/events events 3.2.1 ????    
kunststudio-livingart.be 28/12/2018 PHP 5.6 php-fpm >
PHP 7.2 php-fpm (php)
nvt
kunststudio-livingart.be/events events 3.1.2 PATCH2
> 3.2.1
Events 3.1 werkt niet met php 5.6  
muzitaal.be/drupal 8 PHP 7.2 php-fpm nvt
muzitaal.be/forms41 4.1    

Cloud9 - php upgrades

PHP 5.5.9 → PHP 7.0

source: https://github.com/imanseau/Cloud9-PHP7-Upgrade

commands:

wget https://raw.githubusercontent.com/imanseau/Cloud9-PHP7-Upgrade/master/cloud9-php7-upgrade.sh
sudo chmod +x cloud9-php7-upgrade.sh
./cloud9-php7-upgrade.sh

PHP 5.5.9 → PHP 7.1 (for boossy, voxmago, kwamarant)

check php version in drupal

Rapportages > Statusrapportage

1st trial - failed

There is a similar repository on GitHub: https://github.com/fernandotholl/Cloud9-PHP-7.1-Homestead

However, after installation, the terminal states PHP 7.1.26-1+ubuntu14.04.1+deb.sury.org+1, but the running app still says Current PHP version: 5.5.9-1ubuntu4.14!

Lesson learned: download one particular file from a GitHub repository: Upgrade script: cloud9-php7-upgrade.sh

2nd trial - doubts…

based on the GitHub repository for PHP 7.2 (https://gist.github.com/artemsky/2fc432c1561bd2a7c57e47fe5e0c88d7), replacing all references to 7.2 by references to 7.1.

In the app, I get PHP 7.0, but now the terminal states PHP 7.2!?

3rd trial - OK

Based on the upgrade 7.0 procedure, simply replacing 7.0 by 7.1 => OK

Upgrade script: cloud9-php71-upgrade.sh

PHP 5.5.9 → PHP 7.2 (for kunststudio & muzitaal)

Again, there is a GitHub repository describing the upgrade: https://gist.github.com/artemsky/2fc432c1561bd2a7c57e47fe5e0c88d7.

However, since the upgrade to 7.1 failed using that script, I adapted the GitHub upgrade script for PHP 7.0 by simply replacing 7.0 by 7.2 and this worked out well.

Upgrade script: cloud9-php72-upgrade.sh

Customized php.ini

If you need a customized php.ini for your Cloud9 project, simply create a php.ini file in the root of your workspace.

Check afterwards if it's found and loaded by issuing the following command:
php --ini 

goormIDE - php upgrades

PHP 7.1 → PHP 7.2

I used the scripts that I used for Cloud9. PHP 7.2 was installed, but not enabled.

In order to change the default PHP version from 7.1 to 7.2, issue the following commands:

sudo a2dismod php7.1
sudo a2enmod php7.2
sudo service apache2 restart

sudo update-alternatives --set php /usr/bin/php7.2
sudo update-alternatives --set phar /usr/bin/phar7.2
sudo update-alternatives --set phar.phar /usr/bin/phar.phar7.2
sudo update-alternatives --set phpize /usr/bin/phpize7.2
sudo update-alternatives --set php-config /usr/bin/php-config7.2

source: https://tecadmin.net/switch-between-multiple-php-version-on-ubuntu/

Self-hosted Cloud9???

This site is powered by FoswikiCopyright © by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding Foswiki? Send feedback